Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 659925 - Multiple wrong filenames in require_once directives for mediawiki-openid
Multiple wrong filenames in require_once directives for mediawiki-openid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediawiki-openid (Show other bugs)
14
All All
low Severity low
: ---
: ---
Assigned To: Kurt Seifried
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-04 02:50 EST by Kurt Seifried
Modified: 2011-04-15 17:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: mediawiki-openid-0.8.2-11.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 19:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2010-12-04 02:50:50 EST
Description of problem:

All the OpenID PHP files are in a directory called "Auth_OpenID", not "Auth":

[Sat Dec 04 00:40:02 2010] [error] [client 10.1.2.3] PHP Warning:  require_once(Auth/OpenID/Consumer.php): failed to open stream: No such file or directory in /usr/share/mediawiki/extensions/OpenID/SpecialOpenIDLogin.body.php on line 28, referer: http://192.168.17.193/test-wiki/index.php/Main_Page

# locate Consumer.php
/usr/share/pear/Auth_OpenID/OpenID/Consumer.php

# grep "require_once" /usr/share/mediawiki/extensions/OpenID/* | grep "Auth"

SpecialOpenID.body.php:require_once("Auth/OpenID/Consumer.php");
SpecialOpenID.body.php:require_once("Auth/OpenID/SReg.php");
SpecialOpenID.body.php:require_once("Auth/OpenID/FileStore.php");
SpecialOpenIDFinish.body.php:require_once("Auth/OpenID/Consumer.php");
SpecialOpenIDFinish.body.php:require_once("Auth/OpenID/SReg.php");
SpecialOpenIDFinish.body.php:require_once("Auth/Yadis/XRI.php");
SpecialOpenIDLogin.body.php:require_once("Auth/OpenID/Consumer.php");
SpecialOpenIDServer.body.php:require_once("Auth/OpenID/Server.php");
SpecialOpenIDServer.body.php:require_once("Auth/OpenID/Consumer.php");

Version-Release number of selected component (if applicable):

0.8.2

How reproducible:

Always

Steps to Reproduce:
1. install mediawiki-openid
2. try to login. get blank page (see error log)
3.
  
Actual results:

blank page

Expected results:

OpenID login page

Additional info:

change "Auth" to "Auth_OpenID"
Comment 1 Kurt Seifried 2010-12-09 01:48:23 EST
Quick and dirty fix

cd /usr/share/mediawiki/extensions/OpenID

for i in *.php; do sed 's/Auth\//Auth_OpenID\//' $i > $i.2; mv -f $i.2 $i ; done
Comment 2 Kurt Seifried 2011-01-08 02:09:46 EST
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

This is contact attempt #2 (one month delay). Is the package maintainer still interested in this package?
Comment 3 Kurt Seifried 2011-01-14 20:53:11 EST
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

This is contact attempt #3 (another week has gone by). Is the package maintainer still interested in this package?
Comment 4 Fedora Update System 2011-03-28 19:18:53 EDT
mediawiki-openid-0.8.2-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-openid-0.8.2-11.fc15
Comment 5 Fedora Update System 2011-03-28 19:19:01 EDT
mediawiki-openid-0.8.2-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-openid-0.8.2-11.fc14
Comment 6 Fedora Update System 2011-03-28 19:19:08 EDT
mediawiki-openid-0.8.2-11.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-openid-0.8.2-11.fc13
Comment 7 Fedora Update System 2011-04-06 18:30:08 EDT
mediawiki-openid-0.8.2-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-04-06 18:32:03 EDT
mediawiki-openid-0.8.2-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-04-15 17:22:12 EDT
mediawiki-openid-0.8.2-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.